npm

Need private packages and team management tools?Check out npm Orgs. »

eslint-plugin-mocha

6.2.1 • Public • Published

NPM Version Build Status Coverage Status Peer Dependencies NPM Downloads

eslint-plugin-mocha

ESLint rules for mocha.

Install and configure

This plugin requires ESLint 4.0.0 or later.

npm install --save-dev eslint-plugin-mocha

Then add a reference to this plugin and selected rules in your eslint config:

{
  "plugins": [
    "mocha"
  ],
}

Recommended config

This plugin exports a recommended config that enforces good practices.

Enable it with the extends option:

{
  "extends": [
    "plugin:mocha/recommended"
  ],
}

See Configuring Eslint on eslint.org for more info.

Rules documentation

The documentation of the rules can be found here.

install

npm i eslint-plugin-mocha

Downloadsweekly downloads

324,617

version

6.2.1

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
  • avatar
Report a vulnerability